Switch to Noto Sans as default font for Japanese and/or Korean?

Bug #1581160 reported by Gunnar Hjalmarsson on 2016-05-12
50
This bug affects 6 people
Affects Status Importance Assigned to Milestone
language-selector (Ubuntu)
Wishlist
Gunnar Hjalmarsson
lubuntu-meta (Ubuntu)
Undecided
Gunnar Hjalmarsson
ubuntu-budgie-meta (Ubuntu)
Undecided
Gunnar Hjalmarsson
ubuntu-meta (Ubuntu)
Undecided
Gunnar Hjalmarsson
ubuntukylin-meta (Ubuntu)
Undecided
Gunnar Hjalmarsson
ubuntustudio-meta (Ubuntu)
Undecided
Unassigned

Bug Description

In Ubuntu 16.04 Noto Sans CJK is the default font for rendering Chinese. After having struggled with a few issues, I believe that we finally achieved the desired improvement of the rendering experience.

So now I ask: Is there an interest from Japanese and Korean users to consider a switch to Noto Sans? (The fonts are already installed for all users on Ubuntu 16.04.)

Gunnar Hjalmarsson (gunnarhj) wrote :

Please take a look at the very old bug <https://launchpad.net/bugs/491157>, which I fear is just as valid today. Suppose the problem would go away by switching to Noto Sans for Japanese.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in language-selector (Ubuntu):
status: New → Confirmed
Mitsuya Shibata (cosmos-door) wrote :

Hi Gunnar and all,

Finally, NotoSerif fonts are included at 1.004+repack3-1 and synced to artful at Jun.

https://packages.qa.debian.org/f/fonts-noto-cjk/news/20170404T034919Z.html
https://launchpad.net/ubuntu/+source/fonts-noto-cjk/1:1.004+repack3-1

I (as a Japanese LoCo team member) think that the concerns has been solved about Japanese default transition.
It is time to switch Japanese default fonts from Takao to Noto.

# And sorry for my very late late late reply....

Thanks,

Gunnar Hjalmarsson (gunnarhj) wrote :

Hi Mitsuya,

My turn to apologize for late reply. :)

I think we'd better wait with this till the beginning of the 18.04 cycle, so we have time for testing and possible modifications.

In the meantime, and if you like, you could help to test a possible solution right now. My belief is that the only thing needed is to remove the fonts-takao-* packages without any need for specific Japanese configuration.

So what I ask you to do is running these commands on a 17.10 machine:

sudo apt purge fonts-takao-*
sudo apt install fonts-noto-cjk-extra

Changed in language-selector (Ubuntu):
importance: Undecided → Wishlist
milestone: none → ubuntu-18.04
Mitsuya Shibata (cosmos-door) wrote :

> sudo apt purge fonts-takao-*
> sudo apt install fonts-noto-cjk-extra

I tried it. Displayed glyphs are not so bad. However all glyphs are slightly thin. And it seems that some glyphs are not Noto's glyph...

Mitsuya Shibata (cosmos-door) wrote :
Mitsuya Shibata (cosmos-door) wrote :
Mitsuya Shibata (cosmos-door) wrote :

For example "全", its spaces between vertical bars should be same. But displayed glyph has more space for 1st and 2nd vertical bars than 2nd and 3rd vertical bars.

Is this settings problem? or is other glyph used?

Gunnar Hjalmarsson (gunnarhj) wrote :

Can you please show the output of:

fc-match -a | head -n 70

to check if you possibly have some other font installed with ability to render Japanese characters.

Maybe there is a need for a configuration file similar to the /etc/fonts/conf.avail/69-language-selector-zh-*.conf files. I thought there wasn't...

Yuan Chao (yuanchao) wrote :

Would that be a hinting configuration issue?

Mitsuya Shibata (cosmos-door) wrote :

> Would that be a hinting configuration issue?

You pointed it out clearly!

Previous takao font has following configuration.

----
    <match target="font">
        <test name="family" compare="contains">
            <string>TakaoGothic</string>
        </test>
        <test name="pixelsize" compare="less_eq">
            <double>18</double>
        </test>
        <edit name="hintstyle" mode="assign">
            <const>hintnone</const>
        </edit>
        <edit name="embeddedbitmap">
             <bool>false</bool>
        </edit>
    </match>
----

I add above fontconfig settings for Noto (Sans|Seirf|Mono) CJK JP.
It works very well in my environment.

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks Mitsuya, then we know what to do. I'll make the change when we can start working with Ubuntu 18.04.

Hmm.. Wondering if that hinting configuration would improve the experience for Chinese and Korean too.

Mitsuya Shibata (cosmos-door) wrote :

> Hmm.. Wondering if that hinting configuration would improve the experience for Chinese and Korean too.

Sorry, I don't know.

Anyway, fonts-ipafont/fonts-ipaexfont/fonts-vlgothic has a similar patches as "ubuntu specific patch", i.e. original debian packages don't have its patches.

If smaller font has no problem on debian, this problem cause other config on ubuntu system...

Gunnar Hjalmarsson (gunnarhj) wrote :

Yeah.. I have no idea why those changes were not upstreamed. The explanation might well be that nobody bothered to do it.

Anyway, Noto Sans has been the default for Chinese since Xenial, so until somebody says otherwise, I'm going to assume that the Chinese users are happy without similar hinting configuration.

See you later on this matter.

Yuan Chao (yuanchao) wrote :

Hinting options are rather font dependent. The old free fonts for CJK usually do not have proper hinting embedded so certain specific tweaks (ex. auto hint) are needed to avoid faint strokes. The draw backs are the spaces between strokes may be significantly changed for small size glyphs. It would not be a good idea to just apply the old settings to Noto fonts I think. To me unless something is really broken due to this, it's better leave as it is.

Gunnar Hjalmarsson (gunnarhj) wrote :

@Yuan Chao: Thanks for explaining.

Btw, do you have an opinion on bug #1581151, more specifically comment #4?

Gunnar Hjalmarsson (gunnarhj) wrote :

To any Korean users out there: I'm about to change the default fonts for Japanese to Noto fonts. Is there an interest in changing the default fonts for Korean as well, i.e. from Nanum to Noto fonts?

Seong-ho Cho (darkcircle-0426) wrote :

umm ... yes, This is one of Korean user, and my opinion is, we need more time to discuss about this issue, and, we would better to think this issue as language specific, separately, solution of this issue should not be handled together with problem on Chinese and Japanese. China, Japan and Korea shares unicode area for the CJK ideographic character, but this is little bit one part of their own character code set. so I think that many Chinese users and Japanese users also agree on this my opinion. They have 'needs' for their own.

we, Korean users want to change to another font face from Nanum font, this font is being on almost 6 to 7 years, but we did not found that what font face looks more elegant and clear than Noto sans. some of person is not satisfied to Noto sans' shape, but, we do not have idea for any alternative one to change.

You can refer this discussion(in Korean), which says that, we already selected Noto sans as a default font on the Debian distribution. we tried to find another one, but we did not. therefore, It's OK to change to Noto sans as "default Korean font", If you just want to follow Debian distribution's policy.

https://groups.google.com/forum/?utm_medium=email&utm_source=footer#!msg/oss-desktop-korean/Sr8aEUK_Y6k/FkOSqc_GDgAJ

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for your comment, Seong-ho Cho.

Default fonts for CJK languages is handled independently in Ubuntu, and there is no requirement to follow Debian in this respect, even if Debian provides the fonts packages. So if you need more time to discuss this in the Korean community, then let's not change the Korean font at this time.

See also this email thread:
https://lists.ubuntu.com/archives/ubuntu-ko/2017-October/001203.html

I'm going to proceed with changing the Japanese fonts only.

Taehee Jang (jang0913) wrote :

  First and foremost, I would like to support this suggestion. Thanks to Chinese Team to consider a universal font of CJK.
This is because we had some troubles to deal with each fonts' problems in the past since we cannot know properties of each countries' fonts.
Hence, as we adopt the Noto Sans font, we have chances to commit issues fast and efficient in the future.

  Furthermore, Noto Sans can save disk spaces and using a universal font might help to other open source projects when comprising fonts.
In other projects, such as OpenStack, they select fonts and group packages again to export numorous documents.
If we combine CJK fonts to one font, they don't need to collect each countries' fonts and save more capcities than each fonts allocated in the disk.
For example, I has been participated PDF export project in OpenStack. One of my problem is what should I select fonts of each countries.
Thus, I think Noto Sans will help us to choose fonts more simple not only Ubuntu, but also other great projects.

  Lastly, I asked another user who knows this issue well.
I sent this link to a influential contributor, Jung-Kyu Park(https://launchpad.net/~bagjunggyu), who has contributed Ubuntu Korea Community and Elementary OS in Asian fonts, Input applications, and User Interface for several years. I heard Gunnar Hjalmarsson also knows him.
According to his iMessage, he also agreed that although there might exist license issues and other issues, Noto Sans font should be chosen as a default font in CJK.
Therefore, I think other Ubuntu end-users in Korea will also agree this issue.

  I hope three leaders of each counties will make a good decision for us.

-Ubuntu Korea Community Adviser(and former leader)-

Seong-ho Cho (darkcircle-0426) wrote :

we should know that Noto sans is not small font set, complete Noto sans CJK font set almost takes up to 400MiB(7 to 8 times bigger than other fonts), but as Jang said, Noto sans has many advantage, it gives us chance to select one of many more thickness, size, style and so on without seeing a bad hinting, and hesitating to select another font to see another language’s character. so Noto sans can remove any trivial issue that we don’t have to pay attention. and as we know, hard disk capacity is grown too much in these days, so size of font set does not matter to use our machine with ubuntu and Noto sans :P

of course, again, i meant that, i agree to change to noto sans as a default one, and we would better to give chance to say another opinion to another and many more person. :) so i said that we need more time to discuss about this issue. if many person says “hey! i’m also agree!” for this and there is no cool alternative way or thing to display linguistic characters, it’s ok. go ahead for the Korean.

and Thank you Jang for giving valuable opinion!

Gunnar Hjalmarsson (gunnarhj) wrote :

Hmm.. We are still in the beginning of the 18.04 development cycle. One way to deal with it might be to do it now, then test, fix and evaluate during a few months, and reverse back to Nanum before the release of 18.04 if we'd fail to make Noto fonts look good for Korean.

See also this message:

https://lists.ubuntu.com/archives/ubuntu-ko/2017-October/001209.html

Seong-ho Cho (darkcircle-0426) wrote :

Yes, I have seen that mail 1 hour ago, and I think that issue is occurred by improper hinting, sub-pixel order and DPI.
my browser(Epiphany 3.24.4 and Chromium 63.0.3230.0, which is compiled into my system, and I have all custom fontconfig value to see text clearly) has no problem which said by Kim, but as you mentioned Kim's message came from the mailing list, there are possibility to bring bad experience to many person if wrong values exist. many users do not know where they can see font setting value, and they do not want to know how to set and to pay attention for gaining more clear text.

so I agree your opinion that, we, korean users need to participate testing and evaluating environment, based on Noto-sans-applied ubuntu distribution for better readability experience. and then later, I believe that we can get shiny and clear text by your own valuable work. I recommend you Gunnar, to 'strongly request' to many Korean users, to test new-comer feature(Noto-sans-as-a-default) which could be shipped on the next LTS version.

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for further input.

Then it looks like we are agreed to change to Noto for both Japanese and Korean in the development version of Ubuntu 18.04. I'll wait a day or two, and if nobody has strong objections, I'll make some changes.

Then, indeed, I'm going to ask for testing and feedback, so we can deal with possible issues.

Finally, if we - contrary to expectation - would encounter issues which we can't resolve, we always have the option to reverse to the old fonts before the 18.04 release.

Youngbin Han (sukso96100) wrote :

Hello, Gunnar and Everyone.
First, Thanks Gunnar for informing our Korea Community about this issue.

If we can have enough test and feedback,
And if we also have an option to rollback to old Nanum fonts when we face with unresolvable issue,
I agree with changing default font for Korean from Nanum fonts to Noto fonts.

Maybe, What we need is just extensive and intensive test with substantial feedback.
Just like Keechang Kim from the mailing list said.

Homin Lee (suapapa) wrote :

As a Korean, I prefer Nanum fonts because of it also has fixed width Hangul font, Nanum Gothic Coding.
I'm worry about changing to Noto fonts will make terminal look ugly with Hangul characters.

Changwoo Ryu (cwryu) wrote :

Correction: that oss-desktop-korean mail [1] is not only intended for Debian, though I created that group and also I am a Debian developer. (Actually Debian doesn't have distribution-wide custom font config.) I already filed the change request to the upstream (fontconfig) [2].

I prefer Noto Sans CJK. As I described in the mail, Noto Sans CJK has many advantages over Nanum fonts. On the other hand, Nanum fonts has many flaws but it is unmaintained in upstream and its OFL license makes the flaws to difficult to fix.

Please remember that the discussion is about providing reasonable *default* font to Korean users, not about Nanum font deletion or about using a font you don't like.

[1] https://groups.google.com/d/msg/oss-desktop-korean/Sr8aEUK_Y6k/heT3T7SxDgAJ
[2] https://bugs.freedesktop.org/show_bug.cgi?id=99971

Gunnar Hjalmarsson (gunnarhj) wrote :

Let's get started with this.

I have uploaded some language-selector changes to bionic. They include:

* The Japanese config file proposed by Mitsuya Shibata in comment #11.

* Adding of Korean entries to
  /etc/fonts/conf.avail/64-language-selector-prefer.conf

To make it easier to test on Ubuntu 17.10, I also uploaded the new language-selector version to the artful pocket of this PPA:

https://launchpad.net/~gunnarhj/+archive/ubuntu/noto-test

However, Launchpad seems to be unusually busy for some reason, so it will probably take several hours for both uploads before they are available...

Later on, if we decide to switch to Noto, changes need to be done to several seed branches, so the installer does not install Takao/Nanum fonts. At this time, to test the changes, you need to remove Takao/Nanum packages manually:

sudo apt purge fonts-takao-*

sudo apt purge fonts-nanum*

Also, the fonts-noto-cjk package, which is installed by default for all users, only includes the font weights "Regular" and "Bold". To get access to the other weights, you need to do:

sudo apt install fonts-noto-cjk-extra

I ask our Japanese and Korean users to please test this and provide feedback.

Changed in language-selector (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.182

---------------
language-selector (0.182) bionic; urgency=medium

  * data/pkg_depends:
    Pull Noto fonts for Japanese and Korean (LP: #1581160).
  * fontconfig/64-language-selector-prefer.conf:
    Add Korean fonts (LP: #1581160).
  * fontconfig/69-language-selector-ja.conf:
    New Japanese config file to control hinting etc. (LP: #1581160).
  * fontconfig/69-language-selector-zh-??.conf:
    Make Noto Serif CJK the preferred serif font (LP: #1581151).

 -- Gunnar Hjalmarsson <email address hidden> Thu, 02 Nov 2017 00:13:00 +0100

Changed in language-selector (Ubuntu):
status: Fix Committed → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

Finally the upload made it to bionic. I ask both Korean and Japanese users to test this and report feedback ASAP. Please see comment #28 about how to test.

Changing the status of the language-selector task to "In Progress", since it's not unlikely that further changes are needed.

Changed in language-selector (Ubuntu):
status: Fix Released → In Progress
LEE, Jong Hoon (leejh76) wrote :

Conld you check it for butiful typing?

https://youtu.be/FIidIklVYKg
Above video is explaning about bug of typing.

In end of typing text, I move mouse cursor then, last word was disappeard.
What happen...TT

I'm using Fcitx to use Korea languge.

Thanks for all of your great helping.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2017-11-07 05:17, LEE, Jong Hoon wrote:
> In end of typing text, I move mouse cursor then, last word was
> disappeard. What happen...TT
>
> I'm using Fcitx to use Korea languge.

Is this something which happens with Noto fonts but not with Nanum?

LEE, Jong Hoon (leejh76) wrote :

Yes, Nanum also happens.

Is it impossible to fix it on Noto environment?

Jung-Kyu Park (bagjunggyu) wrote :

@leejh76 , Hi Jong Hoon, It doesn't seem to quite related to this font issue.
It seems a bug of input methods, I think , It would be better for you file a bug to Libreoffice team, or those input methods developers.

@gunnarhj
It works well for me in Ubuntu 17.10 under VB on macOS, If I can have a chance to test in machine,
I would test more of it in Ubuntu 17.10 and 18.04 (if it is possible)
Thank you.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2017-11-08 01:27, Jung-Kyu Park wrote:
> @leejh76 , Hi Jong Hoon, It doesn't seem to quite related to this
> font issue.
> It seems a bug of input methods, I think , It would be better for you
> file a bug to Libreoffice team, or those input methods developers.

I agree with Jung-Kyu Park. I'd suggest that you file a separate bug against the fcitx package to start with.

https://bugs.launchpad.net/ubuntu/+source/fcitx/+filebug

> @gunnarhj
> It works well for me in Ubuntu 17.10 under VB on macOS, If I can have
> a chance to test in machine, I would test more of it in Ubuntu 17.10
> and 18.04 (if it is possible)

Thanks for letting us know, and yes, of course it's possible to keep testing. Actually there is no real deadline for this. Whenever an issue is reported, we'll fix it if possible.

At this time it seems to me as if we'll likely complete the switch to Noto as default fonts for Japanese and Korean in 18.04, so I will soon propose the related changes to the seed branches.

However, I have one question as regards the Korean fonts: Up to Ubuntu 17.10, besides fonts-nanum and fonts-nanum-coding, also the fonts-unfonts-core package has been installed by default for Korean users.

https://packages.ubuntu.com/artful/all/fonts-unfonts-core/filelist

If we switch to Noto, is it motivated to keep installing fonts-unfonts-core by default?

Changed in lubuntu-meta (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: New → In Progress
Changed in ubuntu-budgie-meta (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: New → In Progress
Changed in ubuntu-meta (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: New → In Progress
Changed in ubuntukylin-meta (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: New → In Progress
Changed in ubuntustudio-meta (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: New → In Progress
Gunnar Hjalmarsson (gunnarhj) wrote :

I have uploaded related changes to
/etc/fonts/conf.avail/30-cjk-aliases.conf:

http://launchpadlibrarian.net/345170169/language-selector_0.182_0.183.diff.gz

Would appreciate if someone for respective language, who understands the meaning of those aliases, could review the changes.

Changed in language-selector (Ubuntu):
status: In Progress → Fix Committed
Changed in lubuntu-meta (Ubuntu):
status: In Progress → Fix Committed
Ross Gammon (rosco2) on 2017-11-10
Changed in ubuntustudio-meta (Ubuntu):
assignee: Gunnar Hjalmarsson (gunnarhj) → nobody
status: In Progress → Fix Committed
Jung-Kyu Park (bagjunggyu) wrote :

@Gunnar
Actually, Removing of those fonts (nanum, unfonts) are my first to do list after installation of Ubuntu (apt purge fonts-nanum* fonts-unfonts*) in terminal.
As such, I agree with deletion of those fonts.

And, One more thing we should not miss is ibus-hangul.
When installing ibus-hangul its package contains fonts-nanum automatically.
If someone install ibus-hangul manually fonts-nanum would be installed during installation of ibus-hangul automatically.
It should be checked as well with this issue, I think.

Seong-ho Cho (darkcircle-0426) wrote :

Deleting old fonts is not good for many person, it will deprive many person’s chance of font selection. many person’s preference should be kept within the distribution, otherwise ubuntu will lose many users.

Font can be handeled as many software, but it is not a program. it’s a tool to express users’ characteristic and their taste, and a very valuable asset of each users, even if there is so much few users.

changwoo said that, this discussion is just for changing from Nanum to Noto sans as a default font. This is really important thing should not forget. there should not be any matter related on font deletion. Linux is not Windows and/or Mac OS which does not have any freedom to change something as many users want.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2017-11-10 10:25, Jung-Kyu Park wrote:
> And, One more thing we should not miss is ibus-hangul.
> When installing ibus-hangul its package contains fonts-nanum
> automatically.
> If someone install ibus-hangul manually fonts-nanum would be
> installed during installation of ibus-hangul automatically.
> It should be checked as well with this issue, I think.

There is no such dependency AFAICT.

$ apt-rdepends ibus-hangul | grep nanum
Reading package lists... Done
Building dependency tree
Reading state information... Done

Possibly you mean that fonts-nanum gets installed when you install Korean language support. It won't be in 18.04.

Gunnar Hjalmarsson (gunnarhj) wrote :

@Seong-ho Cho: I fear that we haven't been clear enough about the meaning of "default".

The default font packages for Korean are those packages which are installed automatically when you

1. install Ubuntu and select Korean as the language, or

2. install the Korean language afterwards from Settings.

The goal is to provide a good font, decently configured, so an unexperienced user shouldn't need to bother about it. Up to 17.10 those packages have been:

fonts-nanum
fonts-nanum-coding
fonts-unfonts-core

In 18.04 they will (probably) be replaced by:

fonts-noto-cjk
fonts-noto-cjk-extra

Please note that there is no plan to delete Korean font packages from the Ubuntu archive. In 18.04 power users will have the option to manually install one or more of the previous default font packages and change the configuration to their liking.

Hopefully that explanation addresses your concerns.

Seong-ho Cho (darkcircle-0426) wrote :

@GunnarHjalmarsson Thank you for let me know clearly.
I’ll go further test for these suggestion, as on the top of this bug.

Changed in ubuntu-meta (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntukylin-meta (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.407

---------------
ubuntu-meta (1.407) bionic; urgency=medium

  * Refreshed dependencies
  * Removed fonts-nanum from desktop-recommends (LP: #1581160)
  * Removed fonts-takao-pgothic from desktop-recommends

 -- Jeremy Bicha <email address hidden> Fri, 10 Nov 2017 11:00:38 -0500

Changed in ubuntu-meta (Ubuntu):
status: Fix Committed → Fix Released
Changed in lubuntu-meta (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-budgie-meta (Ubuntu):
status: In Progress → Fix Committed
Jung-Kyu Park (bagjunggyu) wrote :

Can this issue also affect to Zubuntu and Ubuntu-MATE?
I believe it would be good for them also.

Jung-Kyu Park (bagjunggyu) wrote :

I meant Xubuntu :)

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2017-11-11 04:39, Jung-Kyu Park wrote:
> Can this issue also affect to Xubuntu and Ubuntu-MATE?
> I believe it would be good for them also.

Yes, and they are included. Takao and Nanum were not explicitly mentioned in their seed branches, which is the reason why I didn't create Xubuntu and MATE tasks above.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntukylin-meta - 0.28

---------------
ubuntukylin-meta (0.28) bionic; urgency=medium

  * Refreshed dependencies
  * Removed fonts-nanum from desktop-recommends (LP: #1581160)
  * Removed fonts-takao-pgothic from desktop-recommends
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <email address hidden> Sat, 11 Nov 2017 13:42:56 -0500

Changed in ubuntukylin-meta (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntustudio-meta - 0.175

---------------
ubuntustudio-meta (0.175) bionic; urgency=medium

  * Refreshed dependencies
  * Removed fonts-nanum from desktop-core-recommends, desktop-recommends
  * Removed fonts-takao-pgothic from desktop-core-recommends, desktop-
    recommends (LP: #1581160)
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <email address hidden> Sat, 11 Nov 2017 13:47:48 -0500

Changed in ubuntustudio-meta (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.183

---------------
language-selector (0.183) bionic; urgency=medium

  * fontconfig/30-cjk-aliases.conf:
    Complete with Noto fonts (LP: #1581160, LP: #1581151).

 -- Gunnar Hjalmarsson <email address hidden> Fri, 10 Nov 2017 02:38:00 +0100

Changed in language-selector (Ubuntu):
status: Fix Committed → Fix Released
Changed in language-selector (Ubuntu):
status: Fix Released → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-budgie-meta - 0.21

---------------
ubuntu-budgie-meta (0.21) bionic; urgency=medium

  * Refreshed dependencies
  * Removed fonts-nanum from desktop-recommends (LP: #1581160)
  * Removed fonts-takao-pgothic from desktop-recommends
  * Packaging Changes:
    - debian/control: Bump Standards-Version; no additional changes required

 -- David Mohammed <email address hidden> Mon, 13 Nov 2017 19:22:28 +0000

Changed in ubuntu-budgie-meta (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.184

---------------
language-selector (0.184) bionic; urgency=medium

  * data/pkg_depends:
    - Don't pull fonts-unfonts-core for Korean (LP: #1581160).
    - Pull hunspell-de-XX-frami for German.
  * language_support_pkgs.py:
    - Exclude hunspell-de-XX since they conflict with -frami.
    - Drop the _hunspell_frami_special() function - not applicable
      when -frami is pulled by default.

 -- Gunnar Hjalmarsson <email address hidden> Mon, 20 Nov 2017 21:14:00 +0100

Changed in language-selector (Ubuntu):
status: In Progress → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

With the latest language-selector upload, all the changes I can think of have been made. Still keeping this bug report open for now. Testing and feedback most welcome.

Changed in language-selector (Ubuntu):
status: Fix Released → In Progress
Jung-Kyu Park (bagjunggyu) wrote :

It seems package fonts-nanum* have been removed correctly though, fonts-unfonts* seems still exist on bionic, tested in daily cdimage of today.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2017-11-23 08:39, Jung-Kyu Park wrote:
> It seems package fonts-nanum* have been removed correctly though,
> fonts- unfonts* seems still exist on bionic, tested in daily cdimage
> of today.

The change in language-selector, which stops pulling fonts-unfonts-core, reached the archive as language-selector-common 0.184 as late as 2017-11-21. So probably the ISO you tested with carried language-selector-common 0.183, and this will change in a day or two in the daily ISOs.

Jung-Kyu Park (bagjunggyu) wrote :

I can confirm that this font issue for Korean Hangul is resolved, tested on 2017.11.26.03:03:3 KST , Ubuntu 18.04 daily iso.

Gunnar Hjalmarsson (gunnarhj) wrote :

@Jung-Kyu Park: Excellent! Thanks for testing and confirming.

Jung-Kyu Park (bagjunggyu) wrote :

@Gunnar Hjalmarsson It is my pleasure :)

Gunnar Hjalmarsson (gunnarhj) wrote :

Let's consider this completed now, and open new bugs for possible issues.

Changed in language-selector (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.